org.eclipse.jetty.server

## Class ServletResponseHttpWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - org.eclipse.jetty.server.ServletResponseHttpWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class ServletResponseHttpWrapper
    extends javax.servlet.ServletResponseWrapper
    implements javax.servlet.http.HttpServletResponse

Wrapper to tunnel a ServletResponse via a HttpServletResponse

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Constructor Summary

Constructors
Constructor and Description
`ServletResponseHttpWrapper(javax.servlet.ServletResponse response)`

### Method Summary

Methods
`void` `addCookie(javax.servlet.http.Cookie cookie)`
`void` `addDateHeader(String name, long date)`
`void` `addHeader(String name, String value)`
`void` `addIntHeader(String name, int value)`
`boolean` `containsHeader(String name)`
`String` `encodeRedirectUrl(String url)`
`String` `encodeRedirectURL(String url)`
`String` `encodeUrl(String url)`
`String` `encodeURL(String url)`
`String` `getHeader(String name)`
`Collection<String>` `getHeaderNames()`
`Collection<String>` `getHeaders(String name)`
`int` `getStatus()`
`void` `sendError(int sc)`
`void` `sendError(int sc, String msg)`
`void` `sendRedirect(String location)`
`void` `setDateHeader(String name, long date)`
`void` `setHeader(String name, String value)`
`void` `setIntHeader(String name, int value)`
`void` `setStatus(int sc)`
`void` `setStatus(int sc, String sm)`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

### Constructor Detail

#### ServletResponseHttpWrapper

    public ServletResponseHttpWrapper(javax.servlet.ServletResponse response)

### Method Detail

#### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

Specified by:
  `addCookie` in interface `javax.servlet.http.HttpServletResponse`

#### containsHeader

    public boolean containsHeader(String name)

Specified by:
  `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

#### encodeURL

    public String encodeURL(String url)

Specified by:
  `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectURL

    public String encodeRedirectURL(String url)

Specified by:
  `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

#### encodeUrl

    public String encodeUrl(String url)

Specified by:
  `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

#### encodeRedirectUrl

    public String encodeRedirectUrl(String url)

Specified by:
  `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

#### sendError

    public void sendError(int sc,
                 String msg)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendError

    public void sendError(int sc)
                   throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### sendRedirect

    public void sendRedirect(String location)
                      throws IOException

Specified by:
  `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
Throws:
  `IOException`

#### setDateHeader

    public void setDateHeader(String name,
                     long date)

Specified by:
  `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addDateHeader

    public void addDateHeader(String name,
                     long date)

Specified by:
  `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setHeader

    public void setHeader(String name,
                 String value)

Specified by:
  `setHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addHeader

    public void addHeader(String name,
                 String value)

Specified by:
  `addHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setIntHeader

    public void setIntHeader(String name,
                    int value)

Specified by:
  `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### addIntHeader

    public void addIntHeader(String name,
                    int value)

Specified by:
  `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus(int sc)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### setStatus

    public void setStatus(int sc,
                 String sm)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`

#### getHeader

    public String getHeader(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletResponse`
See Also:
  `HttpServletResponse.getHeader(java.lang.String)`

#### getHeaderNames

    public Collection<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.HttpServletResponse`
See Also:
  `HttpServletResponse.getHeaderNames()`

#### getHeaders

    public Collection<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.HttpServletResponse`
See Also:
  `HttpServletResponse.getHeaders(java.lang.String)`

#### getStatus

    public int getStatus()

Specified by:
  `getStatus` in interface `javax.servlet.http.HttpServletResponse`
See Also:
  `HttpServletResponse.getStatus()`